# std::tr1::_Function_base::_Ref_manager< _Functor > Class Template Reference

Inheritance diagram for std::tr1::_Function_base::_Ref_manager< _Functor >:

List of all members.

## Detailed Description

### template<typename _Functor>
class std::tr1::_Function_base::_Ref_manager< _Functor >

Definition at line 974 of file tr1/functional.

## Static Public Member Functions

- static void _M_init_functor (_Any_data &__functor, const _Functor *&__f)
- static void _M_init_functor (_Any_data &__functor, reference_wrapper< _Functor > __f)
- static bool _M_manager (_Any_data &__dest, const _Any_data &__source, _Manager_operation __op)
- static bool _M_not_empty_function (const _Tp &)
- static bool _M_not_empty_function (_Tp _Class::*const &__mp)
- static bool _M_not_empty_function (const _Tp *&__fp)
- static bool _M_not_empty_function (const function< _Signature > &__f)

## Protected Types

- typedef integral_constant<
  bool, __stored_locally > _Local_storage

## Static Protected Member Functions

- static void _M_clone (_Any_data &__dest, const _Any_data &__source, false_type)
- static void _M_clone (_Any_data &__dest, const _Any_data &__source, true_type)
- static void _M_destroy (_Any_data &__victim, false_type)
- static void _M_destroy (_Any_data &__victim, true_type)
- static _Functor ** _M_get_pointer (const _Any_data &__source)

## Static Protected Attributes

- static const bool __stored_locally

The documentation for this class was generated from the following file:

- tr1/functional